/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/returnRequests/{receiptId}/stoppedShipment2609170000Processing 'Release stop'
簡介
Processing 'Release stop'
詳細內容
Available buyer market: Korean
You can use this feature for a product in the status of RELEASE_STOP_UNCHECKED or RETURNS_UNCHECKED & releaseStatus, "N" when running a query on the list of return requests upon order cancellation of a customer. This feature is designed for stopping release of a product which is yet to have been sent, at the request of a customer.
The seller is liable for a round trip return shipping fee if the product requested for 'release stop' is shipped out.
路徑
範例端點
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/returnRequests/363667/stoppedShipmentURL API Name
Path 參數
| Name | Type | Description |
|---|---|---|
| receiptId* | number | Receipt ID
|
| vendorId* | string | Vendor ID A unique code Coupang assigns to a vendor e.g.) A00012345 |
請求內容
請求參數
請求內容參數
| Name | Type | Description |
|---|---|---|
| vendorId* | string | Vendor ID A unique code Coupang assigns to a vendor e.g.) A00012345 |
| receiptId* | integer | Receipt ID
|
| cancelCount* | integer | Release count
|
{
"vendorId": "A00012345",
"receiptId": 363667,
"cancelCount": 2
}回應內容
回應訊息
| Name | Type | Description |
|---|---|---|
| code | string | Server response code
|
| message | string | Server response message
|
| data | object | |
| resultCode data.resultCode | string | SUCCESS/FAIL
|
| resultMessage data.resultMessage | string | Result message
|
Response Example
{
"code": "200",
"message": "OK",
"data": {
"resultCode": "SUCCESS",
"resultMessage": "Request for release stop succeeded"
}
}錯誤碼
| HTTP | 代碼 | 訊息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
錯誤說明
| HTTP | 類型 | 錯誤訊息 | 解決方案 |
|---|---|---|---|
| 400 | 400 (Check requested variable) | Product is already returned. | Check the status of receiptID to see if its return is completed through 'Return request one product query' API. Make sure that you do not move forward with processing 'release stop' for the returned product |
| 400 | 400 (Check requested variable) | Receipt count for cancel/return doesn't match cancel count. | Make sure that cancel count is identical to receipt count for return. |
| 400 | 400 (Check requested variable) | The product is not in the status of Prepared or Ordered for delivery. Shipping completed. | Check if the product for processing 'release stop' is being prepared or ordered for shipping. If you proceed with the product already shipped, an error message will pop up. |
| 400 | 400 (Check requested variable) | cancelType is not A nor RA. | Check the value of receipt ID and the return status of product for their correctness, and make sure you do not move forward with 'release stop' for the wrong value and status. |
| 500 | 500 (Check requested variable) | It has been shipped and cannot be processed. | Check the status of receiptID to see if its return is completed through 'Return request one product query' API. Make sure that you do not move forward with processing 'release stop' for the returned product |